"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const loadPage_1 = require("../notion/loadPage");
async function createNodeForPage(pageId, rootPageId, title, index, notionLoader, createNodeId, createNode, createContentDigest, pluginConfig, reporter) {
    try {
        // loading page
        const item = await loadPage_1.default(pageId, rootPageId, index, notionLoader, reporter);
        const nodeId = createNodeId(pageId);
        createNode(Object.assign(Object.assign({}, item), { indexPage: index, id: nodeId, _id: nodeId, title, parent: undefined, children: [], internal: {
                contentDigest: createContentDigest(item),
                type: `NotionPage${pluginConfig.name}`,
            } }));
    }
    catch (err) {
        reporter.error(`Error loading page: ${pageId} - error is: ${err.message}`);
    }
}
exports.default = createNodeForPage;
//# sourceMappingURL=createNodeForPage.js.map