import { PluginOptions } from 'gatsby';
export interface NotionPageAtt {
    att: string;
    value?: string;
}
export interface NotionPageText {
    text: string;
    atts: NotionPageAtt[];
}
export interface NotionPageProperty {
    propName: string;
    value: NotionPageText[];
}
export interface NotionPageBlock {
    type: string;
    blockId: string;
    properties: NotionPageProperty[];
    attributes: NotionPageAtt[];
    blockIds: string[];
}
export interface NotionPageImage {
    pageId: string;
    notionUrl: string;
    signedUrl: string;
    contentId: string;
}
export interface NotionPageLinkedPage {
    title: string;
    pageId: string;
}
export interface NotionPageDescription {
    pageId: string;
    title: string;
    indexPage: number;
    slug: string;
    excerpt: string;
    pageIcon: string;
    createdAt: string;
    isDraft: boolean;
    blocks: NotionPageBlock[];
    images: NotionPageImage[];
    linkedPages: NotionPageLinkedPage[];
}
export declare type JsonTypes = string | number | boolean | Date | Json | JsonArray;
export interface Json {
    [x: string]: JsonTypes;
}
export declare type JsonArray = Array<JsonTypes>;
export interface NotionsoPluginOptions extends PluginOptions {
    rootPageUrl: string;
    name: string;
    tokenv2?: string;
    downloadLocal: boolean;
    debug?: boolean;
}
export interface NotionLoader {
    loadPage(pageId: string): Promise<void>;
    downloadImages(images: [string, string, string][]): Promise<[string, string, string][]>;
    getBlockById(blockId: string): NotionPageBlock | undefined;
    getBlocks(copyTo: NotionPageBlock[], pageId: string): void;
    reset(): void;
}
export interface GatsbyNotionsoNode {
    id: string;
    parent?: string | null;
    children?: string[];
    internal?: {
        mediaType?: string;
        type: string;
        contentDigest: string;
        owner: string;
    };
    [key: string]: any;
}
